# assemble-plugin-highlight [![NPM version](https://badge.fury.io/js/assemble-plugin-highlight.png)](http://badge.fury.io/js/assemble-plugin-highlight)  [![Build Status](https://travis-ci.org/GoldCome/assemble-plugin-highlight.png)](https://travis-ci.org/GoldCome/assemble-plugin-highlight) [![依赖模块状态](https://david-dm.org/GoldCome/assemble-plugin-highlight.png)](http://david-dm.org/GoldCome/assemble-plugin-highlight)
> Assemble的markdown语法高亮插件，用到highlight.js,生成html使用Cheerio.js.

## Table of Contents
* [Quickstart](#quickstart)
* [Options](#options)
* [Usage Examples](#usage-examples)
* [Author](#author)
* [Release History](#release-history)
* [License](#license)


## Quickstart

包安装：

```bash
npm install assemble-plugin-highlight --save
```
Gruntfile.js定制：

```js
module.exports = function(grunt) {

  // Project configuration.
  grunt.initConfig({
    assemble: {
      options: {
        plugins: ['assemble-plugin-highlight']
      },
      ...
    }
  });
  grunt.loadNpmTasks('assemble');
  grunt.registerTask('default', ['assemble']);
};
```


## Options
### selector
Type: `String`

指定要highlight的选择器，默认是全局

### mode
Type: `String`

规定选择代码模式，默认是所有code代码下的，包括：`<pre><code>...</code></pre>`和`<code>...</code>`

选项为：`code`则`<code>...</code>`；选项为`precode``则`<pre><code>...</code></pre>`；选项为：`all`，则两者皆有


## Usage Examples
### 基本用法

最基本用法:

```js
assemble: {
  blog: {
    options: {
      plugins: ['assemble-plugin-highlight'],
    },
    files: {
      './blog/': ['./templates/blog/*.hbs']
    }
  }
}

```

### 高级

```js
assemble: {
  blog: {
    options: {
      plugins: ['assemble-plugin-highlight'],
      toc: {
        boxid: 'boxid'
      }
    },
    files: {
      './blog/': ['./templates/blog/*.hbs']
    }
  }
}
```

注意：要查看链接图标，一定要在服务器状态！



## Author
**GoldCome**

+ github： https://github.com/GoldCome
+ blog：http://www.gdcome.com
+ QQ/Email: 363359243@qq.com

## Release History

 * 2014-02-22   v0.0.0   markdown语法高亮插件第一次构建
 * 2014-02-23   v0.0.1   去掉插件不必要语句 修正因忘记把highlight.js模块写到dependencies导致npm包错误
 * 2014-02-23   v0.0.2   增加代码选择器选项，默认code下所有
 * 2014-02-23   v0.0.3   解决boxid选项失效问题
 * 2014-02-24   v0.0.4   调整选项，现在选择器可以是任何选择器，而不紧限于ID
 * 2014-02-24   v0.0.5   上一版本无法发布npm包，直接下一版本，更改了一些关键词
 * 2014-02-24   v0.0.6   发布到github
 * 2014-03-13   v0.0.7   重新命名发布

## License
Copyright (c) 2014 goldcome, contributors.
Released under the MIT license

***

_This file was generated on Saturday, March 15, 2014._